# Sen2cor 2.8

Starting from last tag version (v0.6-rc1), Sen2Chain should be compatible with Sen2Cor v02.08.00 (Sen2Cor v02.05.05 is still supported). 

Sen2Cor install path (sen2cor_bashrc_path) in config file (~/sen2chain_data/config/config.cfg) is used to retrieve info of the Sen2Cor version and process L1C accordingly. So please keep the default Sen2Cor install directory name unchanged (ie Sen2Cor-02.0*.0*-Linux64) so that Sen2Chain finds this pattern.


**Sen2Cor default config**\
Sen2Chain will not override your Sen2Cor config. You have to directly edit your Sen2Cor configuration file (default path: `~/sen2cor/2.8/cfg/L2A_GIPP.xml`) : 
-> DEM_Directory and DEM_Reference paths in order to auto-download and use DEM correction. If a DEM is used the land cover data should be used to improve Sen2Cor classification algorithms. Please refer to 4.1 of Sen2Cor Configuration and User Manual (http://step.esa.int/thirdparties/sen2cor/2.8.0/docs/S2-PDGS-MPC-L2A-SUM-V2.8.pdf) for more install and configuration infos.   
At SEAS-OI we still don't use the DEM correction as it seems not relevant in high shadow / steep slope environments (as in Reunion Island). Config file example: [L2A_GIPP.xml](uploads/975660b0f1d6806891c4dd3b36feda7c/L2A_GIPP.xml)

With Sen2Cor 2.8.0, default L2A naming convention has been changed, we forced it back to the Sen2Cor 2.5.5 way, to preserve compatibility with Sen2Chain functions:
- Sen2Cor 2.8.0 default processing_baseline number is set to 99.99 => Sen2Chain forces it to previous L1C processing_baseline number
- product discriminator is now set to the time the file is processed with Sen2Cor 2.8.0 => Sen2Chain forces it to previous L1C product discriminator
