# Sen2cor 2.9

* Download [Sen2Cor v2.09.00 ](http://step.esa.int/main/snap-supported-plugins/sen2cor/sen2cor-v2-9/)and put it to its final install directory 
* Make it executable `chmod +x Sen2Cor-02.09.00-Linux64.run`
* Install Sen2Cor `./Sen2Cor-02.09.00-Linux64.run`
* Update config
  * Move or symlink <span dir="ltr">ESACCI-LC package for SC module</span> to Sen2Cor directory
    * `ln -s /path/to/ESACCI-LC-L4-LCCS-Map-300m-P1Y-2015-v2.0.7.tif Sen2Cor-02.09.00-Linux64/lib/python2.7/site-packages/sen2cor/aux_data/`
    * `ln -s /path/to/ESACCI-LC-L4-WB-Map-150m-P13Y-2000-v4.0.tif Sen2Cor-02.09.00-Linux64/lib/python2.7/site-packages/sen2cor/aux_data/`
    * `ln -s /path/to/ESACCI-LC-L4-Snow-Cond-500m-P13Y7D-2000-2012-v2.0 Sen2Cor-02.09.00-Linux64/lib/python2.7/site-packages/sen2cor/aux_data/`
  * Create or symlink DEM directory
    * `ln -s /path/to/dem ~/sen2cor/2.9/dem`
  * Update Sen2Cor config file `nano ~/sen2cor/2.9/cfg/L2A_GIPP.xml`
    * <DEM_Directory>dem/srtm</DEM_Directory>
    * <DEM_Reference><http://data_public:GDdci@data.cgiar-csi.org/srtm/tiles/GeoTIFF/></DEM_Reference>
    * <DEM_Terrain_Correction>FALSE</DEM_Terrain_Correction>  # If you don't want DEM terrain correction
  * Update Sen2Chain config file `nano ~/sen2chain_data/config/config.cfg`
    * sen2cor_bashrc_path = /path/to/Sen2Cor-02.09.00-Linux64/L2A_Bashrc
